Java API

# Java Application Programming Interface

# User's Guide

## How the API Is Organized

There are three levels to the API:

- All Packages
- All Classes (within a package)
- This Class (selected class).

### Level 1 - All Packages

This level of the API provides links to the packages in the 1.0 release.

### Level 2 - This Package

This level provides links to the classes and interfaces in a given package. There are three catogories in the listing:

- Interfaces
- Classes
- Exceptions

### Level 3 - This Class/Interface

This level begins with an index, followed by the detailed API. There are three categories at the class level.

- Variables
- Constructors
- Methods

A category is omitted when a class has no applicable entries.

Within these categories there is additional color coding as follows:

  Instance Variables
  Static Variables
  Constructors
  Instance Methods
  Static Methods

## How to Locate Items

- To Browse A Package
- Select a package from the list of All Packages. This list is the home page for the the Java API.
- To Locate a Class
- Use the searchable index tool.
- Or, select its package.
- Select the class from the alphabetical index.
- To Browse a Class
- Use the Next/Previous anchors to browse alphabetically.
- Or, traverse the links within the class.
- To Locate a Method
- Use the searchable index tool.
- Or, scroll through the alphabetical class index to locate a method.

### A Closer Look at the Class-Level API

Take a look at class String in the package java.lang. The navigational anchors are at the top. This is followed by the fully qualified class name and a representation of its position in the class hierarchy.

The next entries are links to the superclass and the interfaces, if any. This is followed by a description of the class, taken from the class comment. Notice how the programmer has embedded some code samples using html tags.

The author also chose to include a See Also entry to another class. Following the class-level entries for See Also, Version, and Author, the index begins.

### The Index

Each class/interface begins with an index of its variables, constructors and methods, sorted alphabetically. The entry consists of the declaration and short description. The description is the first sentence of the doc comment for that item. The index entries are linked to their corresponding entries in the application programming inteface which immediately follows.

### The Detailed API

The index is followed by the complete API for each entry. Within the three categories: Variables, Constructors, and Methods, the entries are presented in the order they appear in the source. This is done to preserve the logical groupings established by the programmer.

### Where Are All the Links in the API?

- At the top of each class/interface there are navigational anchors to the other levels and to Previous and Next (class or interface).
- There are links in the class type of every method and variable definition.
- At the top of each class/interface there is a drawing of the tree structure down to the current class/interface, in which each superclass is a link.
- Every method contains a list of exceptions that it may throw. These are linked to the appropriate class.
- The superclass and interface references at the beginning of the class are links.
- Every See Also is a link.
- When a method overrides a method in the superclass, the API has the entry "Overrides: foo in class bar." Both foo (the method name) and bar (the class name) are links.

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.